# Advanced Compliance Monitoring (ACM) data export

{% hint style="success" %}
**Access Type**: Marketplace Manage - Editor

**Premium Feature**: Advanced Compliance Monitoring & ACM Data Exports
{% endhint %}

Advanced Compliance Monitoring (ACM) data export enables organizations to automatically export  compliance monitoring data to external cloud storage platforms or secure SFTP servers. In this article, we will cover the following in regards to ACM data export:

* [Overview](#overview)
* [ACM export destinations](#acm-export-destinations)
* [ACM data export formats](#acm-data-export-formats)

***

### Overview

ACM data export provides a seamless integration with your existing data infrastructure and allows your organization to perform enhanced analysis and reporting outside of the Didomi ecosystem. Below is an overview of capabilities offered via ACM data export:

<table data-header-hidden><thead><tr><th width="252"></th><th></th></tr></thead><tbody><tr><td><strong>Cloud and SFTP support</strong></td><td>Export to AWS S3 or secure SFTP servers. <a href="#export-destinations">Click here</a> for more information.</td></tr><tr><td><strong>Daily automated exports</strong></td><td>Automated daily exports with data from the previous day.<br><br><mark style="background-color:$warning;"><strong>Note</strong>: Daily exports is on a predetermined schedule and is not configurable. The exact time of export may vary.</mark></td></tr><tr><td><strong>Multiple data types</strong></td><td>Access to raw tracker data, aggregated vendor information, and property-level compliance metrics. <a href="#acm-data-export-glossary">Click here</a> for more information.</td></tr><tr><td><strong>Formats</strong></td><td>Export data in CSV format. <a href="#acm-data-export-formats">Click here</a> for more information</td></tr><tr><td><strong>Secure authentication</strong></td><td>Enterprise-grade security with encrypted credential storage. Data transmission occurs over secure protocols (https/SFTP) and only contain your organization's compliance data.</td></tr><tr><td><strong>Connection testing</strong></td><td>Built-in validation to ensure proper configuration before activation</td></tr></tbody></table>

The maximum file size exported to your configured destination is dependent on your organization's data volume and destination limits. Please be advised that:

* Large datasets may take longer to export
* Network bandwidth affects transfer times
* Destination storage costs apply based on usage
* Exported data retention is managed by your destination storage policies

### ACM export destinations

When configuring your ACM data export, your organization can pick from the following export destinations:

* [Amazon Web Services (AWS) S3](#amazon-web-services-aws-s3)
* [SFTP Server](#sftp-server)

{% hint style="warning" %}
**Note**: Support for Google Cloud Platform (GCP) Storage and Microsoft Azure Blob Storage coming soon.
{% endhint %}

#### Amazon Web Services (AWS) S3

Review the table below for required and optional configuration fields to export ACM data to Amazon Web Services (AWS) S3:

{% hint style="info" %}
**Requirements**: S3 bucket with appropriate IAM role permissions.
{% endhint %}

<table><thead><tr><th width="200">Configuration Field</th><th>Description</th></tr></thead><tbody><tr><td>Bucket name</td><td>Name of your organization's S3 bucket</td></tr><tr><td>Bucket key (optional)</td><td>Path to the object inside the S3 bucket</td></tr><tr><td>Region</td><td>AWS region where your organization's bucket is located</td></tr><tr><td>STS Role ARN</td><td>AWS IAM role ARN for secure access</td></tr></tbody></table>

#### SFTP Server

Review the table below for required and optional configuration fields to export ACM data to an SFTP server:

{% hint style="info" %}
**Requirements**: SFTP server with write permissions
{% endhint %}

<table><thead><tr><th width="200">Configuration Field</th><th>Description</th></tr></thead><tbody><tr><td>SFTP Server Host</td><td>Server hostname or IP address</td></tr><tr><td>Username</td><td>SFTP username for authentication</td></tr><tr><td>Password</td><td>SFTP password for authentication</td></tr></tbody></table>

### ACM data export formats

Currently, ACM data export delivers your organization's compliance data in csv format which is excel compatible, human-readable, and easy to import into analytics tools.

{% hint style="warning" %}
**Note**: Parquet format coming soon.
{% endhint %}

Delivered files have a header row with column names and utilize UTF-8 encoding. Files are organized in a partitioned folder structure by data type and export date:

```
CSV/
├── acm_trackers/
│   └── date=<date_of_export>/
│       └── file.csv
├── acm_vendors/
│   └── date=<date_of_export>/
│       └── file.csv
└── acm_properties/
    └── date=<date_of_export>/
        └── file.csv
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.didomi.io/advanced-compliance-monitoring-acm/advanced-compliance-monitoring-acm-data-export.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
